package gov.va.med.esr.common.model.report;

//Java classes

//Library classes
import gov.va.med.fw.model.lookup.Lookup;

import org.apache.commons.lang.Validate;

//Framework classes

//EDB Classes
import gov.va.med.esr.common.model.lookup.PersonMergeStatus;


public class ReportPersonMergeStatus extends BaseReportLookupParameter {

	private static final long serialVersionUID = -930926104740173937L;
	
	public void setLookup(Lookup lookup) {
		Validate.isTrue(lookup instanceof PersonMergeStatus,"Incorrect lookup type.");
		super.setLookup(lookup);
	}
	
	public PersonMergeStatus getPersonMergeStatus() {
		return (PersonMergeStatus)getLookup();
	}
	
	public void setPersonMergeStatus(PersonMergeStatus pPersonMergeStatus) {
		setLookup(pPersonMergeStatus);
	}

}
